%?python_enable_dependency_generator

%define srcname nmstate
%define libname libnmstate

Name:           nmstate
Version:        0.0.3
Release:        2%{?dist}
Summary:        Declarative network manager API
License:        GPLv2+
URL:            https://github.com/%{srcname}/%{srcname}
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Source1:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz.asc
Source2:        gpgkey-F7910D93CA83D77348595C0E899014C0463C12BB.gpg
BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  gnupg2
Requires:       python3-%{libname} = %{?epoch:%{epoch}:}%{version}-%{release}

%description
NMState is a library with an accompanying command line tool that manages host
networking settings in a declarative manner and aimed to satisfy enterprise
needs to manage host networking through a northbound declarative API and multi
provider support on the southbound.


%package -n python3-%{libname}
Summary:        nmstate Python 3 API library
Requires:       NetworkManager-libnm
Requires:       python3-gobject-base
# Once upstream fixed https://github.com/nmstate/nmstate/issues/184
# Remove above requirement and let python_enable_dependency_generator
# macro generate it.
Suggests:       NetworkManager

%description -n python3-%{libname}
This package contains the Python 3 library for nmstate.

%prep
gpgv2 --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%setup -q

%build
%py3_build

%install
%py3_install

%files
%doc README.md
%{python3_sitelib}/nmstatectl
%{_bindir}/nmstatectl

%files -n python3-%{libname}
%license LICENSE
%{python3_sitelib}/%{libname}
%{python3_sitelib}/%{srcname}-*.egg-info/

%changelog
* Wed Jan 02 2019 Gris Ge <fge@redhat.com> - 0.0.3-2
- Add source file PGP verification.

* Thu Dec 20 2018 Gris Ge <fge@redhat.com> - 0.0.3-1
- Upgrade to 0.0.3.

* Mon Dec 03 2018 Gris Ge <fge@redhat.com> - 0.0.2-2
- Trival RPM SPEC fix.

* Wed Nov 28 2018 Gris Ge <fge@redhat.com> - 0.0.2-1
- Initial release.
